Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ParseTextEntities

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.FormattedText>
it.tdlight.jni.TdApi.ParseTextEntities

Enclosing class:
  TdApi

public static final class TdApi.ParseTextEntities extends TdApi.Function<TdApi.FormattedText>
Parses Bold, Italic, Underline, Strikethrough, Code, Pre, PreCode, TextUrl and MentionName entities contained in the text. Can be called synchronously.

Returns `FormattedText`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.TextParseMode`
`parseMode`
Text parse mode.
`String`
`text`
The text to parse.

## Constructor Summary

Constructors
Constructor
Description
`ParseTextEntities()`
Parses Bold, Italic, Underline, Strikethrough, Code, Pre, PreCode, TextUrl and MentionName entities contained in the text.
`ParseTextEntities(DataInput input)`
Parses Bold, Italic, Underline, Strikethrough, Code, Pre, PreCode, TextUrl and MentionName entities contained in the text.
`ParseTextEntities(String text, TdApi.TextParseMode parseMode)`
Parses Bold, Italic, Underline, Strikethrough, Code, Pre, PreCode, TextUrl and MentionName entities contained in the text.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public String text
The text to parse.

### parseMode

public TdApi.TextParseMode parseMode
Text parse mode.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ParseTextEntities

public ParseTextEntities()
Parses Bold, Italic, Underline, Strikethrough, Code, Pre, PreCode, TextUrl and MentionName entities contained in the text. Can be called synchronously.

Returns `FormattedText`

### ParseTextEntities

public ParseTextEntities(String text, TdApi.TextParseMode parseMode)
Parses Bold, Italic, Underline, Strikethrough, Code, Pre, PreCode, TextUrl and MentionName entities contained in the text. Can be called synchronously.

Returns `FormattedText`

Parameters:
  `text` - String The text to parse.
  `parseMode` - TextParseMode Text parse mode.

### ParseTextEntities

public ParseTextEntities(DataInput input) throws IOException
Parses Bold, Italic, Underline, Strikethrough, Code, Pre, PreCode, TextUrl and MentionName entities contained in the text. Can be called synchronously.

Returns `FormattedText`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`